<?php
/*
  Template Name: Egresados
*/
get_header(); ?>

<?php while(have_posts() ): the_post(); ?>

<div class="fullscreen">
	<?php the_post_thumbnail('destacada'); ?>
	<div class="title">
		<h3 class="center"><?php the_title(); ?></h3> 
	</div>
</div>

<section class="page">
  <div class="container">


      <div class="col-xs-12 col-sm-12 col-md-9 testimoniales">
      <h5 style="color:rgba(0,0,0,0.3);"><i class="fa fa-trophy"></i> Casos Recientes de Éxito</h5>
      <?php $args = array(
        'posts_per_page' => 3,
        'orderby' => 'date',
        'order' => 'DESC',
        'cat' => 11,
        'post_type' => 'post'
      ); ?>
      <?php $testimonial = new WP_Query($args); ?>
      <?php while ($testimonial->have_posts()): $testimonial->the_post(); ?>


        <article class="testi_user z-depth-1 center">
          <div class="responsive_img">
            <?php the_post_thumbnail('testimonial'); ?>
          </div>
          <div class="test_title">
            <h6><?php the_title(); ?> <br><span><?php the_field('testimonial'); ?></span></h6>
          </div>
          <div class="test_body">
            <?php the_excerpt(); ?>
          </div>
          <div class="icon_ex "><i class="fa fa-trophy tooltipped" data-position="bottom" data-delay="50" data-tooltip="Egresado destacado"></i></div>
        </article>         

  <?php endwhile; wp_reset_postdata();?>

      <div class="btn_testimonial center"> 
          <a class="btn btn_america" href="/testimonios">Ver mas</a>
        </div>

        <div class="egresado_form z-depth-1">
          <h5>Si eres Egresado déjanos tus datos</h5>
          <p>*Nos interesa escuchar tu caso de éxito y mantenerte informado.</p> <br>
            <form class="form-horizontal" role="form" action="<?php echo get_stylesheet_directory_uri(); ?>/send_egresado.php" method="POST">
              <div class="row">
                <div class="input-field col-sm-6">
                  <i class="material-icons prefix">account_circle</i>
                  <input id="icon_prefix" type="text" class="validate" placeholder="Nombre Completo" name="namecalc" required>
                  <label for="icon_prefix"></label>
                </div>
                <div class="input-field col-sm-6">
                  <i class="material-icons prefix">phone</i>
                  <input id="icon_telephone" type="tel" class="validate " placeholder="Teléfono" name="phone" required>
                  <label for="icon_telephone"></label>
                </div>
                <div class="input-field col-sm-6">
                  <i class="material-icons prefix">email</i>
                  <input id="icon_telephone" type="tel" class="validate " placeholder="Correo Electrónico" name="email" required>
                  <label for="icon_telephone"></label>
                </div>
                <div class="input-field col-sm-6">
                  <i class="material-icons prefix">grade</i>
                  <input id="icon_telephone" type="tel" class="validate " placeholder="Carrera Profesional" name="carrer" required>
                  <label for="icon_telephone"></label>
                </div>
                <div class="input-field col-sm-12 ">
                  <i class="material-icons prefix">chat</i>
                  <textarea id="textarea1" class="materialize-textarea" placeholder="Deja sus comentarios" name="message"></textarea>
                </div> <br>

                <div class="col-sm-12 center ">
                  <button class="btn waves-effect waves-light btn_america" type="submit"><i class="fa fa-check"></i> Enviar Comentarios  </button> <br>
                </div>
              </div>
            </form>
        </div><!-- /form_egresado -->


      </div>  <!-- /col-md-9 testimoniales -->


      <div class="col-xs-12 col-sm-12 col-md-3 ads">
      	<div class="ads_thumb">
      		<h4><i class="material-icons">account_balance</i><br> Toma un Tour por el Campus</h4> 
	        <p>Visita detallada de nuestas instalaciones</p> 
	        <a class="btn btn_america_flat center" href="/tours">Ir al Tour</a> <br><br>
      	</div>
      	<div class="ads_line"></div>
      	<div class="ads_link">
      		<p><strong>Por Teléfono</strong> <i class="fa fa-phone"></i></p>
      		<p><a href="tel:7737321172">01 (773) 732 1172</a></p>
      		<p>Horarios: Lun-Vie: 8:00-14:00</p>
      	</div>
      	<div class="ads_line"></div>
      	<div class="ads_link">
      		<p><strong>Por Correo</strong> <i class="fa fa-envelope"></i></p>
      		<p><a href="mailto:contacto@camerica.edu.mx">contacto@camerica.edu.mx</a></p>
      		<p>Envíenos un correo para saber más sobre sus dudas</p>
      	</div>
      	<div class="ads_line"></div>
      	<div class="ads_link">
      		<p><strong>Por Dirección</strong> <i class="fa fa-map-marker"></i></p>
      		<p><a href="/contacto">Nuestra Ubicación</a></p>
      		<p>Avenida Nacional #703, 42830 San Marcos, Hidalgo, México. Si desea conocer más sobre nosotros</p>
      	</div>
        
      </div> <!-- /ads -->
  </div>
</section>

<?php endwhile; ?>



<?php get_footer(); ?>

