<?php
/*
  Template Name: Eventos
*/
get_header(); ?>

<?php while(have_posts() ): the_post(); ?>

<div class="fullscreen">
	<?php the_post_thumbnail('destacada'); ?>
	<div class="title">
		<h3 class="center"><?php the_title(); ?></h3> 
	</div>
</div>

<section class="page">
<div class="container">

      <div class="col-sm-6 col-md-9">
      <div class="news">
            <?php $args = array(
              'posts_per_page' => 12,
              'orderby' => 'date',
              'order' => 'DESC',
              'cat' => 9,
              'post_type' => 'post'
            ); ?>
            <?php $eventos = new WP_Query($args); ?>
            <?php while ($eventos->have_posts()): $eventos->the_post(); ?>

         <div class="col-sm-12 col-md-4">

          <div class="card">
                <div class="card-image">
                  <?php the_post_thumbnail('evento'); ?>
                  <span class="card-title"><?php the_title(); ?></span>
                </div>

                <div class="iconthumb">
                    <a class="btn-floating btn-large waves-effect waves-light btn_america fancybox" href="<?php the_permalink(); ?> "><i class="material-icons">photo_camera</i></a>
                </div>
                <div class="card-content">
                  <p><?php the_excerpt(); ?></p>
                </div>
                <div class="card-action">
                  <?php 
                    $formato = 'd F';
                    $fecha = strtotime(get_field('fechaevento'));
                    $fecharealizada = date_i18n($formato, $fecha);
                  ?>
                 <?php echo $fecharealizada; ?>
                </div>
            </div>
        </div> 
         <?php endwhile; wp_reset_postdata();?>
        </div> <!-- /news -->
      </div>  <!-- /col-md-9 -->


      <div class="col-sm-6 col-md-3 ads">
      	<div class="ads_thumb">
      		<h4><i class="material-icons">account_balance</i><br> Toma un Tour por el Campus</h4> 
	        <p>Visita detallada de nuestas instalaciones</p> 
	        <a class="btn btn_america_flat center" href="/tours">Ir al Tour</a> <br><br>
      	</div>
      	<div class="ads_line"></div>
      	<div class="ads_link">
      		<p><strong>Por Teléfono</strong> <i class="fa fa-phone"></i></p>
      		<p><a href="tel:7737321172">01 (773) 732 1172</a></p>
      		<p>Horarios: Lun-Vie: 8:00-14:00</p>
      	</div>
      	<div class="ads_line"></div>
      	<div class="ads_link">
      		<p><strong>Por Correo</strong> <i class="fa fa-envelope"></i></p>
      		<p><a href="mailto:contacto@camerica.edu.mx">contacto@camerica.edu.mx</a></p>
      		<p>Envíenos un correo para saber más sobre sus dudas</p>
      	</div>
      	<div class="ads_line"></div>
      	<div class="ads_link">
      		<p><strong>Por Dirección</strong> <i class="fa fa-map-marker"></i></p>
      		<p><a href="/contacto">Nuestra Ubicación</a></p>
      		<p>Avenida Nacional #703, 42830 San Marcos, Hidalgo, México. Si desea conocer más sobre nosotros</p>
      	</div>
        
      </div> <!-- /ads -->
  </div>
</section>

<?php endwhile; ?>



<?php get_footer(); ?>